Robotics Service Bus - Enhancement #284
Specify barricade strategy for passed arguments
05/11/2011 05:32 PM - J. Wienke

Status: In Progress
Priority: Normal
Assignee:

Category: C++

Target version:

Start date: 05/11/2011
Due date:

% Done: 50%
Estimated time: 0.00 hour

Description

When do we want to use exception handling, when assertions? We should define at which level passed arguments are expected to be

valid and where exceptions are expected.

Related issues:

Related to Robotics Service Bus - Tasks # 1768: Evaluate Boost.Exception for ...

New 02/14/2014

History

#1 - 05/16/2011 01:41 PM - J. Wienke

- Subject changed from Specify border strategy for passed arguments to Specify barricade strategy for passed arguments

[[CodingGuidelines]]

#2 - 05/16/2011 04:52 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 50

Specification is at [[CodingGuidelines]].
